Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IScreenCapturerEx2 Class Referenceabstract

`#include <screen_capture_i.h>`

Inherits agora::rtc::IScreenCapturer2.

## Public Member Functions
virtual int | startVideoCapture ()=0
virtual int | stopVideoCapture ()=0
virtual int | startAudioCapture ()=0
virtual int | stopAudioCapture ()=0
virtual void | addPcmDataSink (AudioPcmDataSinkInterface *sink)=0
virtual void | removePcmDataSink (AudioPcmDataSinkInterface *sink)=0
virtual void | deinit ()
virtual void | attachStatsSpace (uint64_t stats_space)
virtual void | SetVideoQoEPusher (std::weak_ptr< agora::rtc::VideoStatsEventsPusher > pusher)=0
virtual int | setScreenCaptureDimensionsLLApiInternal (const VideoDimensions &dimensions)=0
virtual int | updateScreenCaptureRegionLLApiInternal (const rtc::Rectangle &regionRect)=0
virtual int | setFrameRateLLApiInternal (int fps)=0
virtual int | setAudioRecordConfigLLApiInternal (int channels, int sampleRate)=0
virtual int | setAudioVolumeLLApiInternal (uint32_t volume)=0
Public Member Functions inherited from agora::rtc::IScreenCapturer2
virtual int | setScreenCaptureDimensions (const VideoDimensions &dimensions, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | updateScreenCaptureRegion (const Rectangle &regionRect, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setFrameRate (int rate, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setAudioRecordConfig (int channels, int sampleRate, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setAudioVolume (uint32_t volume, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setExternalMediaProjection (void *mediaProjection)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::rtc::IScreenCapturer2
virtual | ~IScreenCapturer2 ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Member Function Documentation

## ◆ startVideoCapture()

virtual int agora::rtc::IScreenCapturerEx2::startVideoCapture | ( |  | ) |
| pure virtual

## ◆ stopVideoCapture()

virtual int agora::rtc::IScreenCapturerEx2::stopVideoCapture | ( |  | ) |
| pure virtual

## ◆ startAudioCapture()

virtual int agora::rtc::IScreenCapturerEx2::startAudioCapture | ( |  | ) |
| pure virtual

## ◆ stopAudioCapture()

virtual int agora::rtc::IScreenCapturerEx2::stopAudioCapture | ( |  | ) |
| pure virtual

## ◆ addPcmDataSink()

virtual void agora::rtc::IScreenCapturerEx2::addPcmDataSink | ( | AudioPcmDataSinkInterface * | sink | ) |
| pure virtual

## ◆ removePcmDataSink()

virtual void agora::rtc::IScreenCapturerEx2::removePcmDataSink | ( | AudioPcmDataSinkInterface * | sink | ) |
| pure virtual

## ◆ deinit()

virtual void agora::rtc::IScreenCapturerEx2::deinit | ( |  | ) |
| inlinevirtual

## ◆ attachStatsSpace()

virtual void agora::rtc::IScreenCapturerEx2::attachStatsSpace | ( | uint64_t | stats_space | ) |
| inlinevirtual

## ◆ SetVideoQoEPusher()

virtual void agora::rtc::IScreenCapturerEx2::SetVideoQoEPusher | ( | std::weak_ptr< agora::rtc::VideoStatsEventsPusher > | pusher | ) |
| pure virtual

## ◆ setScreenCaptureDimensionsLLApiInternal()

virtual int agora::rtc::IScreenCapturerEx2::setScreenCaptureDimensionsLLApiInternal | ( | const VideoDimensions & | dimensions | ) |
| pure virtual

## ◆ updateScreenCaptureRegionLLApiInternal()

virtual int agora::rtc::IScreenCapturerEx2::updateScreenCaptureRegionLLApiInternal | ( | const rtc::Rectangle & | regionRect | ) |
| pure virtual

## ◆ setFrameRateLLApiInternal()

virtual int agora::rtc::IScreenCapturerEx2::setFrameRateLLApiInternal | ( | int | fps | ) |
| pure virtual

## ◆ setAudioRecordConfigLLApiInternal()

virtual int agora::rtc::IScreenCapturerEx2::setAudioRecordConfigLLApiInternal | ( | int | channels,
|  | int | sampleRate )
| pure virtual

## ◆ setAudioVolumeLLApiInternal()

virtual int agora::rtc::IScreenCapturerEx2::setAudioVolumeLLApiInternal | ( | uint32_t | volume | ) |
| pure virtual